Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener Class Reference

ConsoleCommandListener event listener. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener:

## Public Member Functions
| __construct ($defaultSiteAccessName, array $siteAccessList, EventDispatcherInterface $eventDispatcher, $debug=false)
| ConsoleCommandListener constructor. More...
| onConsoleCommand (ConsoleInitEvent $event)
| setSiteAccess (SiteAccess $siteAccess=null)
| setDebug ($debug=false)

## Static Public Member Functions
static | getSubscribedEvents ()

## Private Attributes
| $defaultSiteAccessName
| $siteAccessList
| $eventDispatcher
| $siteAccess
| $debug

## Detailed Description

ConsoleCommandListener event listener.

Definition at line 21 of file ConsoleCommandListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::__construct | ( |  | $defaultSiteAccessName,
|  | array | $siteAccessList,
|  | EventDispatcherInterface | $eventDispatcher,
|  |  | $debug = `false`
| ) |  |

ConsoleCommandListener constructor.

Definition at line 43 of file ConsoleCommandListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$debug, eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$defaultSiteAccessName, eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$eventDispatcher, and eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$siteAccessList.

## Member Function Documentation

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 51 of file ConsoleCommandListener.php.

References eZ\Publish\Core\MVC\Symfony\MVCEvents\CONSOLE_INIT.

## ◆ onConsoleCommand()

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::onConsoleCommand | ( | ConsoleInitEvent | $event | ) |

Definition at line 60 of file ConsoleCommandListener.php.

References eZ\Publish\Core\MVC\Symfony\MVCEvents\CONFIG_SCOPE_CHANGE.

## ◆ setDebug()

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::setDebug | ( |  | $debug = `false` | ) |

Definition at line 77 of file ConsoleCommandListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$debug.

## ◆ setSiteAccess()

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::setSiteAccess | ( | SiteAccess | $siteAccess = `null` | ) |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\SiteAccessAware.

Definition at line 72 of file ConsoleCommandListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\$siteAccess.

## Member Data Documentation

## ◆ $debug

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::$debug
| private

Definition at line 38 of file ConsoleCommandListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\__construct(), and eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\setDebug().

## ◆ $defaultSiteAccessName

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::$defaultSiteAccessName
| private

Definition at line 24 of file ConsoleCommandListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\__construct().

## ◆ $eventDispatcher

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::$eventDispatcher
| private

Definition at line 30 of file ConsoleCommandListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\__construct().

## ◆ $siteAccess

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::$siteAccess
| private

Definition at line 35 of file ConsoleCommandListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\setSiteAccess().

## ◆ $siteAccessList

eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener::$siteAccessList
| private

Definition at line 27 of file ConsoleCommandListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ConsoleCommandListener\__construct().

The documentation for this class was generated from the following file:

- ConsoleCommandListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.